summaryrefslogtreecommitdiffstats
path: root/coverity-scan.sh
diff options
context:
space:
mode:
authorCosta Tsaousis (ktsaou) <costa@tsaousis.gr>2017-06-18 01:56:13 +0300
committerCosta Tsaousis (ktsaou) <costa@tsaousis.gr>2017-06-18 01:56:13 +0300
commit4098feb547b400d6d9fad5b08aded0e331113432 (patch)
treece0ca418bca6bb59d8ff3dd1a62bc65b748ee3a0 /coverity-scan.sh
parent6f64d2ad872ebb1ad17adad8f9a3425f5a636e9d (diff)
use all cpus for coverity scan
Diffstat (limited to 'coverity-scan.sh')
-rwxr-xr-xcoverity-scan.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/coverity-scan.sh b/coverity-scan.sh
index 8ea4334531..46a0c809e1 100755
--- a/coverity-scan.sh
+++ b/coverity-scan.sh
@@ -1,5 +1,8 @@
#/bin/bash
+cpus=$(grep ^processor </proc/cpuinfo| wc -l)
+[ -z "${cpus}" ] && cpus=1
+
token=
[ -f .coverity-token ] && token="$(<.coverity-token)"
[ -z "${token}" ] && \
@@ -30,7 +33,7 @@ make clean || exit 1
[ -f netdata-coverity-analysis.tgz ] && \
rm netdata-coverity-analysis.tgz
-"${covbuild}" --dir cov-int make -j4 || exit 1
+"${covbuild}" --dir cov-int make -j${cpus} || exit 1
tar czvf netdata-coverity-analysis.tgz cov-int || exit 1